<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
     Schema::create('companies', function (Blueprint $table) {
    $table->id();
    $table->string('nombre');
    $table->string('logo')->nullable();
    $table->string('rfc')->nullable();
    $table->string('email');
   $table->enum('plan', ['basic','pro','premium'])->default('basic');
    $table->integer('cotizaciones_mes')->default(0);
    $table->integer('limite_cotizaciones')->default(50);
    $table->boolean('activo')->default(true);
    $table->timestamps();
    }); 
    
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('companies');
    }
};
